﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

using Microsoft.Surface;
using Microsoft.Surface.Presentation;
using Microsoft.Surface.Presentation.Controls;
using Microsoft.Surface.Presentation.Input;

namespace GISforTT_API
{
    /// <summary>
    /// Interaction logic for UserControl1.xaml
    /// </summary>
    public partial class ExitDialog : UserControl
    {
        /// <summary>
        /// Constructor of the Exit Dialog
        /// </summary>
        /// <param name="name">ID of the dialog</param>
        public ExitDialog(string name)
        {
            // FIXME: use the name 

            InitializeComponent();        
        }
                
        /// <summary>
        /// Closes the application when the user confirms
        /// to exit.
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void ConfirmExitButton_Click(object sender, RoutedEventArgs e)
        {
            GisInterfaceMgr.Instance.getMainWindow().Close();
        }

        /// <summary>
        /// The user cancels exit.  The exit confirmation dialog
        /// disappears and the related corner function menu button
        /// restarts the timer to hide.
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void CancelExitButton_Click(object sender, RoutedEventArgs e)
        {
            this.Visibility = Visibility.Hidden;

            switch (this.Name)
            {
                case "ExitDialogUpperLeft":
                    CornerMenusMgr.Instance.FunctionMenuUpperLeft.startTimer();
                    break;
                case "ExitDialogUpperRight":
                    CornerMenusMgr.Instance.FunctionMenuUpperRight.startTimer();
                    break;
                case "ExitDialogBottomLeft":
                    CornerMenusMgr.Instance.FunctionMenuBottomLeft.startTimer();
                    break;
                case "ExitDialogBottomRight":
                    CornerMenusMgr.Instance.FunctionMenuBottomRight.startTimer();
                    break;
            }
        }
    }
}
