﻿using GISforTT_API;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;
using System.Windows;
using System.Windows.Media;

namespace GISforTT_Test
{
    
    
    /// <summary>
    ///This is a test class for BookmarkInfoTipTest and is intended
    ///to contain all BookmarkInfoTipTest Unit Tests
    ///</summary>
    [TestClass()]
    public class BookmarkInfoTipTest
    {


        private TestContext testContextInstance;

        /// <summary>
        ///Gets or sets the test context which provides
        ///information about and functionality for the current test run.
        ///</summary>
        public TestContext TestContext
        {
            get
            {
                return testContextInstance;
            }
            set
            {
                testContextInstance = value;
            }
        }

        #region Additional test attributes
        // 
        //You can use the following additional attributes as you write your tests:
        //
        //Use ClassInitialize to run code before running the first test in the class
        //[ClassInitialize()]
        //public static void MyClassInitialize(TestContext testContext)
        //{
        //}
        //
        //Use ClassCleanup to run code after all tests in a class have run
        //[ClassCleanup()]
        //public static void MyClassCleanup()
        //{
        //}
        //
        //Use TestInitialize to run code before running each test
        //[TestInitialize()]
        //public void MyTestInitialize()
        //{
        //}
        //
        //Use TestCleanup to run code after each test has run
        //[TestCleanup()]
        //public void MyTestCleanup()
        //{
        //}
        //
        #endregion


        /// <summary>
        ///A test for BookmarkInfoTip Constructor
        ///</summary>
        [TestMethod()]
        public void BookmarkInfoTipConstructorTest()
        {
            Bookmark bm = new Bookmark(new ESRI.ArcGIS.Client.Geometry.MapPoint(120, 20), "Test Bookmark", "This is the ID", Bookmark.BookmarkPriority.Medium);
            BookmarkPin pin = new BookmarkPin(bm, new Point(110, 50));
            
            BookmarkInfoTip target = new BookmarkInfoTip(pin);

            Assert.AreEqual(target.getBookmarkPin(), pin);
            Assert.AreEqual(target.getBookmarkNumTextBlock().Text, pin.Bookmark.ID);
            Assert.AreEqual(target.getBookmarkSevTextBlock().Text, pin.Bookmark.getBookmarkPriorityString());
            Assert.AreEqual(target.getBookmarkSevTextBlock().Foreground, new SolidColorBrush(Colors.Yellow));
            Assert.AreEqual(target.getBookmarkSevSlider().Value, 2);
            Assert.AreEqual(target.getDescriptionTextBox().Text, pin.Description);
            Assert.AreEqual(target.getLocationTextBox().Text, pin.Bookmark.MapCoordinate.ToString());
            Assert.AreEqual(target.getShowMapButton().Visibility, Visibility.Visible);
            
        }

        /// <summary>
        ///A test for ChangePriority
        ///</summary>
        [TestMethod()]
        [DeploymentItem("GISforTT_API.dll")]
        public void ChangePriorityTest()
        {
            PrivateObject param0 = null;
            BookmarkInfoTip_Accessor target = new BookmarkInfoTip_Accessor(param0); // TODO: Initialize to an appropriate value
            int newValue = 0; // TODO: Initialize to an appropriate value
            target.ChangePriority(newValue);
            Assert.Inconclusive("A method that does not return a value cannot be verified.");
        }

        /// <summary>
        ///A test for HideWindow
        ///</summary>
        [TestMethod()]
        [DeploymentItem("GISforTT_API.dll")]
        public void HideWindowTest()
        {
            PrivateObject param0 = null; // TODO: Initialize to an appropriate value
            BookmarkInfoTip_Accessor target = new BookmarkInfoTip_Accessor(param0); // TODO: Initialize to an appropriate value
            target.HideWindow();
            Assert.Inconclusive("A method that does not return a value cannot be verified.");
        }

        /// <summary>
        ///A test for OpenMapFrame
        ///</summary>
        [TestMethod()]
        [DeploymentItem("GISforTT_API.dll")]
        public void OpenMapFrameTest()
        {
            PrivateObject param0 = null; // TODO: Initialize to an appropriate value
            BookmarkInfoTip_Accessor target = new BookmarkInfoTip_Accessor(param0); // TODO: Initialize to an appropriate value
            target.OpenMapFrame();
            Assert.Inconclusive("A method that does not return a value cannot be verified.");
        }


        /// <summary>
        ///A test for SwitchToEditMode
        ///</summary>
        [TestMethod()]
        [DeploymentItem("GISforTT_API.dll")]
        public void SwitchToEditModeTest()
        {
            PrivateObject param0 = null; // TODO: Initialize to an appropriate value
            BookmarkInfoTip_Accessor target = new BookmarkInfoTip_Accessor(param0); // TODO: Initialize to an appropriate value
            target.SwitchToEditMode();
            Assert.Inconclusive("A method that does not return a value cannot be verified.");
        }

        /// <summary>
        ///A test for SwitchToViewMode
        ///</summary>
        [TestMethod()]
        [DeploymentItem("GISforTT_API.dll")]
        public void SwitchToViewModeTest()
        {
            PrivateObject param0 = null; // TODO: Initialize to an appropriate value
            BookmarkInfoTip_Accessor target = new BookmarkInfoTip_Accessor(param0); // TODO: Initialize to an appropriate value
            target.SwitchToViewMode();
            Assert.Inconclusive("A method that does not return a value cannot be verified.");
        }
    }
}
