﻿using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;

using GISforTT_API;

namespace GISforTT_Test
{
    /// <summary>
    ///This is a test class for BookmarkListItemTest and is intended
    ///to contain all BookmarkListItemTest Unit Tests
    ///</summary>
    [TestClass()]
    public class BookmarkListItemTest
    {


        private TestContext testContextInstance;

        /// <summary>
        ///Gets or sets the test context which provides
        ///information about and functionality for the current test run.
        ///</summary>
        public TestContext TestContext
        {
            get
            {
                return testContextInstance;
            }
            set
            {
                testContextInstance = value;
            }
        }

        #region Additional test attributes
        // 
        //You can use the following additional attributes as you write your tests:
        //
        //Use ClassInitialize to run code before running the first test in the class
        //[ClassInitialize()]
        //public static void MyClassInitialize(TestContext testContext)
        //{
        //}
        //
        //Use ClassCleanup to run code after all tests in a class have run
        //[ClassCleanup()]
        //public static void MyClassCleanup()
        //{
        //}
        //
        //Use TestInitialize to run code before running each test
        //[TestInitialize()]
        //public void MyTestInitialize()
        //{
        //}
        //
        //Use TestCleanup to run code after each test has run
        //[TestCleanup()]
        //public void MyTestCleanup()
        //{
        //}
        //
        #endregion


        /// <summary>
        ///A test for BookmarkListItem Constructor
        ///</summary>
        [TestMethod()]
        public void BookmarkListItemConstructorTest()
        {
            Bookmark bookmark = new Bookmark(new ESRI.ArcGIS.Client.Geometry.Envelope(), "Test Description", "123", Bookmark.BookmarkPriority.High);
            BookmarkListItem target = new BookmarkListItem(bookmark);
            Assert.AreEqual(bookmark, target.Bookmark);
            Assert.AreEqual("123", target.Bookmark.ID);
            Assert.AreEqual("Test Description", target.Bookmark.Description);
            Assert.AreEqual(Bookmark.BookmarkPriority.High, target.Bookmark.Priority);
        }

        /// <summary>
        ///A test for IsOpen
        ///</summary>
        [TestMethod()]
        public void IsOpenTest()
        {
            Bookmark bookmark = new Bookmark(new ESRI.ArcGIS.Client.Geometry.Envelope(), "Test Description", "123", Bookmark.BookmarkPriority.High);
            BookmarkListItem target = new BookmarkListItem(bookmark);
            bool expected = false; // newly created bookmark list item should not be open
            bool actual = target.IsOpen;
            //false by default
            Assert.AreEqual(expected, actual);
            target.IsOpen = true;//test the setter
            actual = target.IsOpen;
            Assert.AreEqual(true, actual);
        }

        /// <summary>
        ///A test for Bookmark
        ///</summary>
        [TestMethod()]
        public void BookmarkTest()
        {
            Bookmark bookmark = new Bookmark(new ESRI.ArcGIS.Client.Geometry.Envelope(), "Test Description", "123", Bookmark.BookmarkPriority.High);
            BookmarkListItem target = new BookmarkListItem(bookmark);
            Bookmark actual;
            actual = target.Bookmark;
            Assert.AreEqual(bookmark, actual);
        }
    }
}
